# Review at https://bugzilla.redhat.com/show_bug.cgi?id=499279

%global majorversion 0.0

Name:           xfce4-cddrive-plugin
Version:        0.0.1
Release:        4%{?dist}
Summary:        Xfce panel plugin to open or close a CD-ROM drive tray

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{majorversion}/%{name}-%{version}.tar.bz2
# selfmade, not yes submitted upstream
Patch0:         xfce4-cddrive-plugin-0.0.1-exo-1.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-timer-plugin/c/master/ 
# as of 2011-03-05
Patch1:         xfce4-cddrive-plugin-0.0.1-update-translations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= 4.3.99.2
BuildRequires:  xfce4-panel-devel >= 4.3.99.2
BuildRequires:  exo-devel >= 0.3.2
BuildRequires:  dbus-glib-devel >= 0.71
BuildRequires:  hal-devel >= 0.5.8.1
BuildRequires:  libcdio-devel >= 0.76
BuildRequires:  libcddb-devel >= 1.2.1
BuildRequires:  gettext, perl(XML::Parser)
Requires:       xfce4-panel >= 4.4.0, hal

%description
This plugin puts a button in the Xfce panel to open or close a CD-ROM drive 
tray. Additionally, the button icon reports the content of the drive. The icon
indicates if there is a disc in the drive, if it is mounted, and the type of 
the disc (regular CD-ROM, audio, DVD...).  You can also mount or unmount the 
disc via the plugin menu.


%prep
%setup -q
%patch0 -p1 -b .exo-1
%patch1 -p1 -b .update-translations


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sun Mar 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.1-4
- Patch for exo >= 0.5.0
- Update translations from Xfce Transifex

* Fri Jan 22 2010 Adrian Reber <adrian@lisas.de> - 0.0.1-3
- Rebuilt for libcdio-0.82

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 11 2008 Christoph Wickert <fedora christoph-wickert de> - 0.0.1-1
- Initial Fedora package
